KDE 4.9 PyKDE API Reference

- KDE's Python API

# KUrlRequesterDialog Class Reference

`from PyKDE4.kio import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

Dialog in which a user can enter a filename or url. It is a dialog encapsulating KUrlRequester. The API is derived from KFileDialog.

Simple dialog to enter a filename/url.

Author:
  Wilco Greven <greven@kde.org>

## Methods

| __init__ (self, QString url, QWidget parent=0)
| __init__ (self, QString url, QString text, QWidget parent)
| __init__ (self, KUrlRequesterDialog a0)
KFileDialog | fileDialog (self)
KUrl | selectedUrl (self)
KUrlRequester | urlRequester (self)

## Static Methods

KUrl | getUrl (QString url=QString(), QWidget parent=0, QString caption=QString())

## Method Documentation

__init__ | ( | self, |
|  | QString | url,
|  | QWidget | parent=0
| ) |  |  |

Constructs a KUrlRequesterDialog.

Parameters:

  | url | The url of the directory to start in. Use QString() to start in the current working directory, or the last directory where a file has been selected.
  | parent | The parent object of this widget.

__init__ | ( | self, |
|  | QString | url,
|  | QString | text,
|  | QWidget | parent
| ) |  |  |

Constructs a KUrlRequesterDialog.

Parameters:

  | url | The url of the directory to start in. Use QString() to start in the current working directory, or the last directory where a file has been selected.
  | text | Text of the label
  | parent | The parent object of this widget.

__init__ | ( | self, |
|  | KUrlRequesterDialog | a0
| ) |  |  |

KFileDialog fileDialog | ( |  | self ) |

Returns a pointer to the file dialog used by the KUrlRequester.

KUrl selectedUrl | ( |  | self ) |

Returns the fully qualified filename.

KUrlRequester urlRequester | ( |  | self ) |

Returns a pointer to the KUrlRequester.

## Static Method Documentation

KUrl getUrl | ( | QString | url=QString(),
|  | QWidget | parent=0,
|  | QString | caption=QString()
| ) |  |  |

Creates a modal dialog, executes it and returns the selected URL.

Parameters:

  | url | This specifies the initial path of the input line.
  | parent | The widget the dialog will be centered on initially.
  | caption | The caption to use for the dialog.